Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Titan » Compiler Version could not be determined
Compiler Version could not be determined [message #1840708] Thu, 22 April 2021 09:57 Go to next message
Mariam  LAHAMI is currently offline Mariam LAHAMIFriend
Messages: 5
Registered: April 2021
Junior Member
Hi,

When I tries to set up the compiler version in Eclipse.

I faced the problem illustrated in the attached figure. which demonstartes also that the command compiler -v is working well and the version of the TTCN-3 compiler is equal to 7.2.2

The eclipse version that I used is :
Eclipse IDE for C/C++ Developers (includes Incubating components)
Version: 2021-03 (4.19.0)



  • Attachment: ex2.png
    (Size: 143.02KB, Downloaded 19 times)
Re: Compiler Version could not be determined [message #1840710 is a reply to message #1840708] Thu, 22 April 2021 10:10 Go to previous messageGo to next message
Adam Knapp is currently offline Adam KnappFriend
Messages: 7
Registered: November 2020
Junior Member
Hi,

Please to try to close the Eclipse Preferences window and open it again. Sometimes it do not update the content of the page properly. Especially if you set the path for compiler install path for the first time.
Re: Compiler Version could not be determined [message #1840711 is a reply to message #1840710] Thu, 22 April 2021 10:23 Go to previous messageGo to next message
Mariam  LAHAMI is currently offline Mariam LAHAMIFriend
Messages: 5
Registered: April 2021
Junior Member
I restarted the eclipse but I obtain the same issue !!
Re: Compiler Version could not be determined [message #1840713 is a reply to message #1840711] Thu, 22 April 2021 10:52 Go to previous messageGo to next message
Adam Knapp is currently offline Adam KnappFriend
Messages: 7
Registered: November 2020
Junior Member
Which version of the Eclipse plugins you are using?
Do you installed the plugins that are available on the download site? here: https://projects.eclipse.org/projects/tools.titan/downloads
If so, please use it as it is at the time being. Regardless of that notification, the plugins should work properly with the compiler.
Re: Compiler Version could not be determined [message #1840714 is a reply to message #1840713] Thu, 22 April 2021 11:11 Go to previous messageGo to next message
Mariam  LAHAMI is currently offline Mariam LAHAMIFriend
Messages: 5
Registered: April 2021
Junior Member
I have installed the version 7.1.0
Re: Compiler Version could not be determined [message #1840724 is a reply to message #1840714] Thu, 22 April 2021 13:22 Go to previous message
Adam Knapp is currently offline Adam KnappFriend
Messages: 7
Registered: November 2020
Junior Member
Thank your for the feedback. The new Eclipse plugins package is on the way. That recognizes the newer compiler versions properly. Anyway, this just affects the recognition of versioning, therefore you should be able to use the currently installed plugins with the newest compiler.
Previous Topic:Generating message sequences after execution
Next Topic:Can not add Titan in Eclipse
Goto Forum:
  


Current Time: Tue Jun 15 14:33:30 GMT 2021

Powered by FUDForum. Page generated in 0.01713 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top